#version 330 core
layout(location = 0) in vec3 position_MS;

uniform mat4 MVP_matrix; //mvp matrix
uniform mat4 M_matrix; //model matrix (passed per object)
out vec4 position_WS;

void main(void) {
	//Compute worldspace position of vertex
	gl_Position = MVP_matrix * vec4(position_MS,1.0);
	position_WS = M_matrix * vec4(position_MS,1.0);
}