#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec2 vertexPosition;
layout(location = 1) in vec2 texCoords;

// Output data ; will be interpolated for each fragment.
out vec2 frag_texCoords;


void main(){
	// texture coordinate scaling
	frag_texCoords = vertexPosition*0.5+0.5; 
	gl_Position = vec4(vertexPosition,0.0,1.0);
}